Critical Error in 3.0 UI Composer

Posted almost 7 years by Jeremy Aaron Horland

Post a topic
Answered
J
Jeremy Aaron Horland

Whenever I try to save or save as new, in the new UI/Layout composer, I am getting the following error : 


Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log.


The error log on server indicates very little other than that the script did not return any data : 


incomplete headers (0 bytes) received from server "/usr/local/www/m/mo/monst3rc/cgi-bin/php5.cgi", referer: https://www.youcookie.com/wp-admin/admin.php?page=fpd_ui_layout_composer

0 Votes

J

Jeremy Aaron Horland posted almost 7 years Best Answer

Thank you for the insight.


FCGI (Fast CGI accelerator) users will need to add the following to their CGI wrappers if they find a similar error :


export USE_ZEND_ALLOC=0


I have heard you can add zend memory to fix the issue as well, but this works without raising footprint.


0 Votes


8 Comments

Sorted by
J

Jeremy Aaron Horland posted almost 7 years

do NOT use the "USE_ZEND_ALLOC=0" configuration as above for anything other than a short term patch.


Using this will disable memory management in PHP and introduce a serious bug causing a memory race/leak.

0 Votes

J

Jeremy Aaron Horland posted almost 7 years Answer

Thank you for the insight.


FCGI (Fast CGI accelerator) users will need to add the following to their CGI wrappers if they find a similar error :


export USE_ZEND_ALLOC=0


I have heard you can add zend memory to fix the issue as well, but this works without raising footprint.


0 Votes

rady kal

rady kal posted almost 7 years Admin

Sorry this is a dedicated server issue we can not help you with. The new version is now out for a few days and the big majority has no problem with the UI Composer.


You need to contact your server provider. Please read also the support policy that we are not able to help with server environments.

http://codecanyon.net/page/item_support_policy#whats-not-included-item-support

0 Votes

J

Jeremy Aaron Horland posted almost 7 years

After upgrade to 3.0.1, we are experiencing the same error :


Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator, and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log.


[Sun Mar 13 15:05:55 2016] [error] [client 69.120.120.71] FastCGI: incomplete headers (0 bytes) received from server "/usr/local/www/m/mo/monst3rc/cgi-bin/php5.cgi", referer: https://www.youcookie.com/wp-admin/admin.php?page=fpd_ui_layout_composer


The error is most likely the same if I turn off Fcgi as well, as other indicators remain unchanged.  Any help is greatly appreciated.


0 Votes

rady kal

rady kal posted almost 7 years Admin

Fixed in 3.0.1 which will be available in the next 24 hours.

0 Votes

D

David Fozdar posted almost 7 years

I am also getting same error.

 

0 Votes

J

Jeremy Aaron Horland posted almost 7 years

Rafael -  


Thank you as always.  I turned off Fcgi on server so we could see the error message more clearly


[Mon Mar 07 10:21:18 2016] [error] [client 69.120.120.71] zend_mm_heap corrupted, referer: https://www.youcookie.com/wp-admin/admin.php?page=fpd_ui_layout_composer

[Mon Mar 07 10:21:18 2016] [error] [client 69.120.120.71] Premature end of script headers: php5.cgi, referer: https://www.youcookie.com/wp-admin/admin.php?page=fpd_ui_layout_composer

0 Votes

rady kal

rady kal posted almost 7 years Admin

I am going to upload an improved update for the composer tomorrow.

0 Votes

Login or Sign up to post a comment